Skip to content
Skip to main content
POST
/v3/scheduling/configurations/{configuration_id}/group-events/validate-timeslot

Validate time slot

Validates whether the selected group event or time slot has changed, and is invalid. This can happen because...

  • The group event was deleted.
  • The group event was updated (for example, the start time was changed).
  • The capacity for the event was changed.
NYLAS API KEY

Parameters

Path parameters

configuration_id*string

The ID of the Configuration object to access.

Request body

Validate time slot

calendar_id*string

ID of the calendar to access.

Example: "primary"
capacitynumber

The maximum number of attendees for the event. If not specified, Nylas uses the default capacity for your Configuration.

Default: 10
Example: 50
min: 1max: 500
emailsarray<string>

A list of email addresses associated with the event's participants.

event_id*string

ID of the event to validate.

Example: "5d3qmne77v32r8l4phyuksl2x"
master_idstring

The master event ID. Required when working with recurring events.

Example: "5d3qmne77v32r8l4phyuksl2x"

Responses

request_idstring

ID of the request.

Example: "5967ca40-a2d8-4ee0-a0e0-6f18ace39a90"
POSThttps://api.us.nylas.com/v3/scheduling/configurations/{configuration_id}/group-events/validate-timeslot

Find your API key in the Nylas Dashboard under API Keys in your application settings.

configuration_idrequiredstring

The ID of the Configuration object to access.

Loading editor...

Autocomplete and validation come from this endpoint's request schema.